// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UPrimitiveComponent.h"
#include "SCW_USceneComponent.h"

class UPrimitiveComponent;;

namespace Sourcify
{
	class SCW_UPrimitiveComponent : public SCW_USceneComponent, public virtual ISCW_UPrimitiveComponent
	{
	public:
		SCW_UPrimitiveComponent(UPrimitiveComponent* InPrimitiveComponent);

		UPrimitiveComponent* ToUPrimitiveComponent() const;

		ISCW_UPrimitiveComponentPtr ToUPrimitiveComponentPtr() override;
		ISCW_UPrimitiveComponentConstPtr ToUPrimitiveComponentPtr() const override;

	protected:
		UPrimitiveComponent* PrimitiveComponent;
	};
} // namespace Sourcify